* {
  box-sizing: border-box;
}

::-webkit-scrollbar {
  width: 8px;
}

::-webkit-scrollbar-thumb {
  background-color: #484848;
  border-radius: 2px;
}

html,
body {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
}

button {
  font-family: "PT Sans", sans-serif;
}

body {
  font-feature-settings: "kern", "liga";
  font-family: "PT Sans", -apple-system, BlinkMacSystemFont, Helvetica, Arial, sans-serif;
}

h3 {
  color: #3c3c3c;
  font-size: 1.25em;
  font-weight: 400;
  letter-spacing: -.01em;
  line-height: 1.5;
  margin: 1.6em 0 .8em;
  font-family: "Avenir Light", Avenir, "Nunito Sans", "Century Gothic", Calibri, sans-serif;
}

.demo__sketch {
  display: flex;
  flex: auto;
  flex-direction: column;
  height: calc(100% - 1rem);
  padding: 0.5rem;
}

.demo__sketch-data {
  display: none;
  flex: auto;
  background-color: #f1f1f1;
  font-family: consolas, "courier new", monospace;
  font-size: 13px;
  max-height: 450px;
  padding: 8px;
  resize: none;
  border: none;
  line-height: normal;
  border-radius: 4px;
  animation: fadeEffect 1s;
}

.demo__action-link {
  margin-left: 8px;
  cursor: pointer;
}

.demo__action-link {
  border: .1rem solid #248DC1;
  border-radius: .1rem;
  color: #248DC1;
  cursor: pointer;
  display: inline-block;
  font-weight: 700;
  padding: .625em 2em;
  transition: color 125ms, background-color 125ms, border-color 125ms;
}

.demo__action-link--primary {
  background-color: #248DC1;
  border-color: #248DC1;
  color: #fff;
}

.demo__action-link:focus,
.demo__action-link:hover {
  background-color: #006098;
  border-color: #006098;
  color: #fff;
}

.flex {
  display: flex;
}

.align-center {
  align-items: center;
}

.justify-between {
  justify-content: space-between;
}

.tab {
  overflow: hidden;
  border: 1px solid #ccc;
  background-color: #f1f1f1;
}

/* Style the buttons that are used to open the tab content */
.tab button {
  background-color: inherit;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 14px 16px;
  transition: 0.3s;
}

/* Change background color of buttons on hover */
.tab button:hover {
  background-color: #ddd;
}

/* Create an active/current tablink class */
.tab button.active {
  background-color: #ccc;
}

/* Go from zero to full opacity */
@keyframes fadeEffect {
  from {opacity: 0;}
  to {opacity: 1;}
}